Bug 174762 - [maintainer-update] net-mgmt/nagios: Update to 3.4.3
[maintainer-update] net-mgmt/nagios: Update to 3.4.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-28 04:30 UTC by jarrod
Modified: 2013-01-10 19:27 UTC (History)
0 users

See Also:


Attachments
net-mgmt-nagios-3.4.3.diff (2.20 KB, patch)
2012-12-28 04:30 UTC, jarrod
no flags Details | Diff
nagios-3.4.3.patch (5.24 KB, patch)
2012-12-29 13:30 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jarrod 2012-12-28 04:30:00 UTC
Update to Nagios 3.4.3

- Applied fix for pagination and sorting on status.cgi #381.
- Fixed issue where deleting a downtime could cause Nagios to crash.
- Corrected logic so that end times for flexible downtimes are calculated
  from the downtime start rather than the current time in the case where
  Nagios is restarted.
- Fixed issue introduced by fix for bug #124 where flexible downtimes are
  not taken into account on Nagios restart.
- Fixed bug #247: If a service reports no performance data, the perfdata
  log file has no line indicating the test.
- Fixed link for unhandled unreachable host problems on tactical overview
  page.
- Fixed bug #345 with wild card searches not paging properly on status.cgi.
- Fixed bug #343 on status.cgi where Service Group Summary can potentially
  show wrong totals.
- Fixed memory leaks on SIGHUP.

Modified files:
- ports/net-mgmt/nagios/Makefile
- ports/net-mgmt/nagios/distinfo
- ports/net-mgmt/nagios/files/patch-html-main.php

Fix: Patch attached, and can be downloaded from:
http://www.downtools.com.au/~jarrod/FreeBSD/net-mgmt-nagios-3.4.3.diff
Comment 1 TAKATSU Tomonari freebsd_committer 2012-12-29 13:30:53 UTC
Hi,

I have modified the patch to make portlint(1) happier.
Please confirm it.

Thanks,

-- 
TAKATSU Tomonari
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2012-12-30 11:25:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-02 16:21:38 UTC
State Changed
From-To: open->feedback

Hello Jarrod, so would you approve TAKATSU changes?.
Comment 4 jarrod 2013-01-09 12:40:05 UTC
Approved, with thanks, and an apology for the delay.

Jarrod.
Comment 5 dfilter freebsd_committer 2013-01-10 19:12:10 UTC
Author: rm
Date: Thu Jan 10 19:12:02 2013
New Revision: 310200
URL: http://svnweb.freebsd.org/changeset/ports/310200

Log:
  - update to 3.4.3 [1]
  - convert to optionsng [2]
  - fix portlint warnings [2]
  
  PR:		174762
  Submitted by:	Jarrod Sayers <jarrod@downtools.com.au> (maintainer) [1]
  Submitted by:   tota [2]

Modified:
  head/net-mgmt/nagios/Makefile
  head/net-mgmt/nagios/distinfo
  head/net-mgmt/nagios/files/patch-html-main.php

Modified: head/net-mgmt/nagios/Makefile
==============================================================================
--- head/net-mgmt/nagios/Makefile	Thu Jan 10 19:05:43 2013	(r310199)
+++ head/net-mgmt/nagios/Makefile	Thu Jan 10 19:12:02 2013	(r310200)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	nagios
-# Date created:				19 May 2002
-# Whom:					Blaz Zupan <blaz@si.FreeBSD.org>
-#
+# Created by: Blaz Zupan <blaz@si.FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	nagios
-PORTVERSION=	3.4.1
+PORTVERSION=	3.4.3
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-3.x/${PORTNAME}-${PORTVERSION}
 
@@ -15,42 +11,18 @@ COMMENT=	Extremely powerful network moni
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd
+LIB_DEPENDS=	gd:${PORTSDIR}/graphics/gd
 RUN_DEPENDS=	${LOCALBASE}/libexec/nagios/check_nagios:${PORTSDIR}/net-mgmt/nagios-plugins
 
 USE_ICONV=	yes
 USE_PERL5_BUILD=yes
 USE_AUTOTOOLS=	autoconf libltdl
+USE_PHP=	yes
 USE_RC_SUBR=	nagios
 
 CONFLICTS=	nagios-[12].* nagios-devel-*
 
-OPTIONS=	EMBEDDED_PERL "Enable embedded Perl [requires Perl 5.8.0+]" off \
-		NANOSLEEP "Use nanosleep in event timing" off \
-		EVENT_BROKER "Enable event broker functionality" off \
-		UNHANDLED_HACK "Display passive checks in unhandled queries" off
-
 GNU_CONFIGURE=	yes
-
-NAGIOSUSER?=	nagios
-NAGIOSGROUP?=	nagios
-NAGIOSDIR?=	/var/spool/nagios
-
-NAGIOSUID=	181
-NAGIOSGID=	${NAGIOSUID}
-
-NAGIOSWWWDIR?=	www/nagios
-NAGIOSHTMURL?=	/nagios
-NAGIOSCGIURL?=	${NAGIOSHTMURL}/cgi-bin
-
-USERS=		${NAGIOSUSER}
-GROUPS=		${NAGIOSGROUP}
-
-.include <bsd.port.pre.mk>
-
-CPPFLAGS+=	-I${LOCALBASE}/include -fPIC
-CFLAGS+=	${CPPFLAGS}
-
 CONFIGURE_ARGS=	--with-command-user=${NAGIOSUSER} \
 		--with-command-group=${WWWGRP} \
 		--with-nagios-user=${NAGIOSUSER} \
@@ -66,14 +38,15 @@ CONFIGURE_ARGS=	--with-command-user=${NA
 		--with-httpd-conf=${PREFIX}/etc \
 		--with-checkresult-dir=${NAGIOSDIR}/checkresults \
 		--disable-statuswrl
-
 CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib" \
 		PERL=${PERL}
 
+CPPFLAGS+=	-I${LOCALBASE}/include -fPIC
+CFLAGS+=	${CPPFLAGS}
+
 MAKE_JOBS_UNSAFE=	yes
 
 INSTALL_TARGET=	install install-commandmode install-config
-
 PLIST_SUB=	NAGIOSDIR=${NAGIOSDIR} \
 		NAGIOSWWWDIR=${NAGIOSWWWDIR} \
 		NAGIOSUSER=${NAGIOSUSER} \
@@ -90,9 +63,29 @@ SUB_FILES=	pkg-message
 SUB_LIST=	PREFIX=${PREFIX} \
 		${PLIST_SUB}
 
-USE_PHP=	yes
+NAGIOSUSER?=	nagios
+NAGIOSGROUP?=	nagios
+NAGIOSDIR?=	/var/spool/nagios
+
+NAGIOSUID=	181
+NAGIOSGID=	${NAGIOSUID}
+
+NAGIOSWWWDIR?=	www/nagios
+NAGIOSHTMURL?=	/nagios
+NAGIOSCGIURL?=	${NAGIOSHTMURL}/cgi-bin
+
+USERS=		${NAGIOSUSER}
+GROUPS=		${NAGIOSGROUP}
+
+OPTIONS_DEFINE=	EMBEDDED_PERL NANOSLEEP EVENT_BROKER UNHANDLED_HACK
+EMBEDDED_PERL_DESC=	Enable embedded Perl [requires Perl 5.8.0+]
+NANOSLEEP_DESC=		Use nanosleep in event timing
+EVENT_BROKER_DESC=	Enable event broker functionality
+UNHANDLED_HACK_DESC=	Display passive checks in unhandled queries
+
+.include <bsd.port.options.mk>
 
-.if defined(WITH_EMBEDDED_PERL)
+.if ${PORT_OPTIONS:MEMBEDDED_PERL}
 USE_PERL5=	yes
 CONFIGURE_ARGS+=--enable-embedded-perl \
 		--with-perlcache
@@ -101,11 +94,11 @@ PLIST_SUB+=	EMBEDDED_PERL=""
 PLIST_SUB+=	EMBEDDED_PERL="@comment "
 .endif
 
-.if defined(WITH_NANOSLEEP)
+.if ${PORT_OPTIONS:MNANOSLEEP}
 CONFIGURE_ARGS+=--enable-nanosleep
 .endif
 
-.if defined(WITH_EVENT_BROKER)
+.if ${PORT_OPTIONS:MEVENT_BROKER}
 CONFIGURE_ARGS+=--enable-event-broker
 .else
 CONFIGURE_ARGS+=--disable-event-broker
@@ -115,7 +108,7 @@ post-extract:
 	@${MV} ${WRKDIR}/${PORTNAME} ${WRKSRC}
 
 post-patch:
-.if defined(WITH_UNHANDLED_HACK)
+.if ${PORT_OPTIONS:MUNHANDLED_HACK}
 	@${REINPLACE_CMD} -e 's#;serviceprops=42\&#;serviceprops=10\&#g' \
 		-e 's#;hostprops=42\"#;hostprops=10\"#g' ${WRKSRC}/html/side.php
 .endif
@@ -126,4 +119,4 @@ post-install:
 	@${CHOWN} ${NAGIOSUSER}:${WWWGRP} ${NAGIOSDIR}/rw
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/nagios/distinfo
==============================================================================
--- head/net-mgmt/nagios/distinfo	Thu Jan 10 19:05:43 2013	(r310199)
+++ head/net-mgmt/nagios/distinfo	Thu Jan 10 19:12:02 2013	(r310200)
@@ -1,2 +1,2 @@
-SHA256 (nagios-3.4.1.tar.gz) = a5c693f9af22410cc17d6da9c0df9bd65c47d787de3f937b5ccbda934131f8c8
-SIZE (nagios-3.4.1.tar.gz) = 1782817
+SHA256 (nagios-3.4.3.tar.gz) = 2d5c0cc56bafb08a71840a6efa349afc1eebb2761fea0d403e1b929e7c801b10
+SIZE (nagios-3.4.3.tar.gz) = 1784746

Modified: head/net-mgmt/nagios/files/patch-html-main.php
==============================================================================
--- head/net-mgmt/nagios/files/patch-html-main.php	Thu Jan 10 19:05:43 2013	(r310199)
+++ head/net-mgmt/nagios/files/patch-html-main.php	Thu Jan 10 19:12:02 2013	(r310200)
@@ -1,10 +1,10 @@
---- html/main.php.orig	2012-05-12 09:30:53.000000000 +0930
-+++ html/main.php	2012-05-21 21:37:23.000000000 +0930
+--- html/main.php.orig	2012-12-01 03:28:25.000000000 +1030
++++ html/main.php	2012-12-28 14:23:47.000000000 +1030
 @@ -40,35 +40,10 @@
  <div class="product">Nagios<sup><span style="font-size: small;">&reg;</span></sup> Core<sup><span style="font-size: small;">&trade;</span></sup></div>
- <div class="version">Version 3.4.1</div>
- <div class="releasedate">May 11, 2012</div>
--<div class="checkforupdates"><a href="http://www.nagios.org/checkforupdates/?version=3.4.1&product=nagioscore" target="_blank">Check for updates</a></div>
+ <div class="version">Version 3.4.3</div>
+ <div class="releasedate">November 30, 2012</div>
+-<div class="checkforupdates"><a href="http://www.nagios.org/checkforupdates/?version=3.4.3&product=nagioscore" target="_blank">Check for updates</a></div>
  <!--<div class="whatsnew"><a href="http://go.nagios.com/nagioscore/whatsnew">Read what's new in Nagios Core 3</a></div>-->
  </div>
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2013-01-10 19:27:46 UTC
State Changed
From-To: feedback->closed

Committed, thank you!